## org.apache.axis.encoding
Class FieldTarget

    java.lang.Object
      |
      +--org.apache.axis.encoding.FieldTarget

All Implemented Interfaces:
  Target

public class FieldTarget
extends java.lang.Object
implements Target

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`FieldTarget(java.lang.Object targetObject, java.lang.reflect.Field targetField)`
`FieldTarget(java.lang.Object targetObject, java.lang.String fieldName)`

Method Summary
`void` `set(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### FieldTarget

    public FieldTarget(java.lang.Object targetObject,
                       java.lang.reflect.Field targetField)

### FieldTarget

    public FieldTarget(java.lang.Object targetObject,
                       java.lang.String fieldName)
                throws java.lang.NoSuchFieldException

Method Detail

### set

    public void set(java.lang.Object value)
             throws org.xml.sax.SAXException

  Specified by:
    `set` in interface `Target`
    `org.xml.sax.SAXException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.